org.jboss.resteasy.plugins.servlet

## Class ResteasyServletInitializer

- java.lang.Object
- - org.jboss.resteasy.plugins.servlet.ResteasyServletInitializer

- All Implemented Interfaces:
    javax.servlet.ServletContainerInitializer

      public class ResteasyServletInitializer
      extends Object
      implements javax.servlet.ServletContainerInitializer

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResteasyServletInitializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handleNoApplicationClass(Set<Class<?>> providers, Set<Class<?>> resources, javax.servlet.ServletContext servletContext)`
    `void` | `onStartup(Set<Class<?>> classes, javax.servlet.ServletContext servletContext)`
    `protected void` | `register(Class<?> applicationClass, Set<Class<?>> providers, Set<Class<?>> resources, javax.servlet.ServletContext servletContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyServletInitializer

          public ResteasyServletInitializer()

  - ### Method Detail

    - #### onStartup

          public void onStartup(Set<Class<?>> classes,
                       javax.servlet.ServletContext servletContext)
                         throws javax.servlet.ServletException

      Specified by:
        `onStartup` in interface `javax.servlet.ServletContainerInitializer`
      Throws:
        `javax.servlet.ServletException`

    - #### handleNoApplicationClass

          protected void handleNoApplicationClass(Set<Class<?>> providers,
                                      Set<Class<?>> resources,
                                      javax.servlet.ServletContext servletContext)

    - #### register

          protected void register(Class<?> applicationClass,
                      Set<Class<?>> providers,
                      Set<Class<?>> resources,
                      javax.servlet.ServletContext servletContext)

Copyright © 2014. All Rights Reserved.